Subject: Re: cygwin.dll
From: [email-masked] ("Brad Rust - Fe2O3")

16 Jan 1997 19:44:51 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Mailer: exmh version 1.6.7 5/3/96
Original-To: [email-masked]
In-Reply-To: Message from "M.Carter" <[email-masked]> 
             of Thu, 16 Jan 1997 12: 28:10 GMT
             <[email-masked]> 
X-url: http://www.he.net/~rust/
X-Face: &&7T@:FdXK3R*lE'_wtNJ(]QK5sp1:Fp`80(0DNE*vTihLRV\mdG/9Q[s\?}_ct3+<<qR7E
 (K~mRgb%8/o4^ogw|}p7M+q!iB3BdY@W(s8(aLnDqzFi<O+r6s#GmPL,+?v4;D!51f9?{rkdiJTTuE
 c<=ew7dfW
Original-Sender: [email-masked]

As far as Hello World goes,... it is calling a DLL (Dynamic Link Library)
distributed with Windows.  If you didn't have a 60+ MB windows directory
with a butt-load of DLL's then you wouldn't be able to have a 17K hello 
world app.  If you write MFC (Microsoft Foundation Class) code, you have
to distribute the MFC DLLs since they don't come with windows.  But, since
you probably have installed MFC programs before, you probably already have
those DLLs in your windows directory <== that was an example BTW.

Anyway, having a cygnus DLL is just fine IMHO since that's the way 
applications should access libraries.  Almost every system I know of uses
Dynamic Linking.

As far as conflicts go, I didn't have any problems.  RTFM.  There are several
things to configure that aren't really documented nicely but since it's
BETA, get off their back.  They are doing a wonderful job.

a satisfied cygnus-gnuwin32 user,
brad

On Thu, 16 Jan 1997 12:28:10 GMT "M.Carter" writes
 > At the risk of annoying someone ...
 
 > I'd like to mention that I used Visual C++ to write a simple 'hello
 > world' program for Windows 95. It was 17k long. I found that the
 > machine transported to another machine running Windows 95 without the
 > need for distributing a dll, or any other paraphenalia.  To my mind,
 > this was a very clean way of doing things. Looked at from a user
 > point of view, it is a simple, no fuss way of running a program. He
 > installs only one executable, and he doesn't have to set a path to
 > the dll.
 >
 > In my experience of using cygnus, I first installed beta 17. I
 > then had problems configuring some GNU utils that I downloaded.
 > It was recommended that I download 17.1, because it was a better
 > version. Much hoo-hah followed, as I then had a naming conflict
 > between the old dll, and the new dll. On the whole, it was a
 > fairly frustrating experience, what with other problems that
 > followed as well.
 > 
 > Ben Constable wrote :
 > >I think the good thing about the DLL is that you can update the dll without
 > >changing heaps of executable programs. That is the idea with most DLL's.
 > 
 > 
 > This email was written with the sneaking expectation that it would generate
 > a lot of response, so I apologise if some people think that this is not
 > the appropriate forum to discuss these matters.
 > 

-- 
 _____           ___ 	       
|  ___|__       / _ \	  	 
| |_ / _ \     | | | |		Brad Rust
|  _|  __/ ___ | |_| | ____     mailto:[email-masked]
|_|  \___||_  ) \___/ |__ /     http://www.he.net/~rust/
           / /         |_ \	619-553-grep
          /___|       |___/	

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".